#!/usr/bin/env bash

# Refresh the metadata from the SAML IdP.
# This is run automatically every 24 hours by cron.

# Use command-line parameter else value of $ZENDTOPREFS else fixed default.
PREFS="$1"
PREFS="${PREFS:-$ZENDTOPREFS}"
PREFS="${PREFS:-/opt/zendto/config/preferences.php}"

# Get the 'serverRoot' setting from preferences.php
SERVERROOT="$(grep "^[ 	]*'serverRoot'" "$PREFS" | cut -d\' -f4)"
# Get the 'key' from SimpleSAMLphp's cron module config file
CURLKEY="$(grep "^[ 	]*'key'" /opt/zendto/simplesamlphp/config/module_cron.php | cut -d\' -f4)"

# ZendTo: Added --insecure for people running on self-signed SSL certificates.
curl --insecure --silent "${SERVERROOT}saml/module.php/cron/cron.php?key=${CURLKEY}&tag=daily" >/dev/null 2>&1

