<?php

// ZendTo: This file has been modified for ZendTo from the version
// ZendTo: distributed as part of SimpleSAMLphp.
// ZendTo: All changes are marked.

$config = [
    /*
     * Global blacklist: entityIDs that should be excluded from ALL sets.
     */
    #'blacklist' = array(
    #    'http://my.own.uni/idp'
    #),

    /*
     * Conditional GET requests
     * Efficient downloading so polling can be done more frequently.
     * Works for sources that send 'Last-Modified' or 'Etag' headers.
     * Note that the 'data' directory needs to be writable for this to work.
     */
    #'conditionalGET' => true,

    'sets' => [

        // ZendTo: Change this to an obvious name for the IdP you are using,
        // ZendTo: such as 'my-company-shib' or 'azure'.
        '__ZENDTO:_IDP_SHORT_NAME__' => [
            // ZendTo: daily is quite enough.
            'cron' => ['daily'],
            'sources' => [
                [
                    /*
                     * entityIDs that should be excluded from this src.
                     */
                    #'blacklist' => array(
                    #    'http://some.other.uni/idp',
                    #),

                    /*
                     * Whitelist: only keep these EntityIDs.
                     */
                    #'whitelist' => array(
                    #    'http://some.uni/idp',
                    #    'http://some.other.uni/idp',
                    #),

                    // ZendTo: Changed this to true.
                    'conditionalGET' => true,
                    // ZendTo: This is the URL of the "Federation metadata
                    // ZendTo: document" copied from the Azure application's
                    // ZendTo: Endpoints list.
                    'src' => '__ZENDTO:_ENDPOINT_FEDERATION_METADATA_DOCUMENT_URL__',
                    // ZendTo: Commented out this block.
                    // 'certificates' => [
                    //     'current.crt',
                    //     'rollover.crt',
                    // ],
                    // 'validateFingerprint' => '59:1D:4B:46:70:46:3E:ED:A9:1F:CC:81:6D:C0:AF:2A:09:2A:A8:01',
                    // #'validateFingerprintAlgorithm' => RobRichards\XMLSecLibs\XMLSecurityDSig::SHA1,
                    // 'template' => [
                    //     'tags' => ['kalmar'],
                    //     'authproc' => [
                    //         51 => ['class' => 'core:AttributeMap', 'oid2name'],
                    //     ],
                    // ],

                    /*
                     * The sets of entities to load, any combination of:
                     *  - 'saml20-idp-remote'
                     *  - 'saml20-sp-remote'
                     *  - 'shib13-idp-remote'
                     *  - 'shib13-sp-remote'
                     *  - 'attributeauthority-remote'
                     *
                     * All of them will be used by default.
                     *
                     * This option takes precedence over the same option per metadata set.
                     */
                    //'types' => [],
                ],
            ],

            'expireAfter' => 34560060, // Maximum 4 days cache time (3600*24*4)
            // ZendTo: Where we are going to store the auto-refreshed
            // ZendTo: metadata.
            // ZendTo: This needs to be the same directory name you set in the
            // ZendTo: 'metadata.sources' setting in config.php. Ensure that here
            // ZendTo: it ends with a slash '/'.
            'outputDir' => '/var/zendto/saml-metadata/__ZENDTO:_METADATA_NAME__/',

            /*
             * Which output format the metadata should be saved as.
             * Can be 'flatfile' or 'serialize'. 'flatfile' is the default.
             */
            'outputFormat' => 'flatfile',

            /*
             * The sets of entities to load, any combination of:
             *  - 'saml20-idp-remote'
             *  - 'saml20-sp-remote'
             *  - 'shib13-idp-remote'
             *  - 'shib13-sp-remote'
             *  - 'attributeauthority-remote'
             *
             * All of them will be used by default.
             */
            //'types' => [],
        ],
    ],
];
